v2.0
put
/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/barcode
Updates a kit's barcode. Rights: OrsInventoryPost and OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Supported Media Types
- application/json
Nested Schema : KitNumberBarcodeTO
Type:
Show Source
object-
barcode(required): string
Minimum Length:
0Maximum Length:1000Barcode of the kit.Example:61234 -
kitNumber(required): string
Kit number in UTF-8 format.Example:
Kit-5
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : InventoryUpdatedTO v1.0
Type:
objectTitle:
InventoryUpdatedTO v1.0Object containing number of inventory records updated.
Show Source
-
inventoryUpdated: integer
(int32)
Title:
Inventory UpdatedNumber of inventory records updated successfully.Example:5
400 Response
Invalid Inventory Status
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
Invalid study ID or version OR Study not found OR Inventory not found
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object